# Overview

Android-ObservableScrollView is a library to handle scroll position for Android apps, and contains lots of examples to demonstrate how this library works.

However, creating awesome scrolling effects depends deeply on how you use it: layout, offset calculation to animate views, etc.

This documentation describes how to install this library and apply to your application.

## Get started

See [quick start](../docs/quick-start/index.md) section.

## See the complete examples

You can try the example app, to see what this library can do.  
See [try the example app](../docs/example/index.md) section to know how to install the app.

## Learn from basics

Now you must have seen the examples and setup your environments, then let's learn how to use it in your app.  
See [basic techniques](../docs/basic/index.md) section.

## Challenge complex and awesome techniques

If you'd like to create complex, awesome scrolling animation using ViewPager or something,
please check out [advanced techniques](../docs/advanced/index.md) section.

## If you're interested in improving this library...

Please see the [contribution guideline](../CONTRIBUTING.md).  
Also, [for contributiors](../docs/contributor/index.md) section will be useful to understand / manage the entire project.
